Last Comment Bug 807488 - Remove build support for Photon, Irix and old Unix platforms
: Remove build support for Photon, Irix and old Unix platforms
Status: RESOLVED FIXED
:
Product: MailNews Core
Classification: Components
Component: Build Config (show other bugs)
: Trunk
: All All
: -- normal (vote)
: Thunderbird 19.0
Assigned To: Ian Neal
:
:
Mentors:
Depends on: 563462 680792 682920 781479
Blocks: 803854 808399
  Show dependency treegraph
 
Reported: 2012-10-31 14:51 PDT by Ian Neal
Modified: 2012-11-10 01:41 PST (History)
1 user (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
fixed


Attachments
Remove old platforms [Checked in: Comment 5] (15.45 KB, patch)
2012-10-31 14:51 PDT, Ian Neal
bugspam.Callek: review+
Details | Diff | Splinter Review

Description Ian Neal 2012-10-31 14:51:59 PDT
Created attachment 677175 [details] [diff] [review]
Remove old platforms [Checked in: Comment 5]

This ports the following bugs:
* Bug 682920 - Remove build support for old Unix platforms
* Bug 680792 - Remove support for Irix from our build system
* Bug 563462 - Remove support for Photon
* Bug 781479 - Remove unused Tru64 and QNX rules
Comment 1 Mozilla RelEng Bot 2012-10-31 16:00:33 PDT
Try run for ae38bf4b35e1 is complete.
Detailed breakdown of the results available here:
    https://tbpl.mozilla.org/?tree=Try&rev=ae38bf4b35e1
Results (out of 3 total builds):
    failure: 3
Builds (or logs if builds failed) available at:
http://ftp.mozilla.org/pub/mozilla.org/firefox/try-builds/iann_cvs@blueyonder.co.uk-ae38bf4b35e1
Comment 2 Mozilla RelEng Bot 2012-10-31 17:15:33 PDT
Try run for c4252b83a1b5 is complete.
Detailed breakdown of the results available here:
    https://tbpl.mozilla.org/?tree=Try&rev=c4252b83a1b5
Results (out of 9 total builds):
    exception: 5
    failure: 4
Builds (or logs if builds failed) available at:
http://ftp.mozilla.org/pub/mozilla.org/firefox/try-builds/iann_cvs@blueyonder.co.uk-c4252b83a1b5
Comment 3 Mozilla RelEng Bot 2012-10-31 21:00:34 PDT
Try run for 919da216044e is complete.
Detailed breakdown of the results available here:
    https://tbpl.mozilla.org/?tree=Try&rev=919da216044e
Results (out of 37 total builds):
    success: 24
    warnings: 12
    failure: 1
Builds (or logs if builds failed) available at:
http://ftp.mozilla.org/pub/mozilla.org/firefox/try-builds/iann_cvs@blueyonder.co.uk-919da216044e
Comment 4 Ludovic Hirlimann [:Usul] 2012-11-01 01:38:15 PDT
Comment on attachment 677175 [details] [diff] [review]
Remove old platforms [Checked in: Comment 5]

We still support BeOS ?
Comment 5 Ian Neal 2012-11-10 01:40:11 PST
Comment on attachment 677175 [details] [diff] [review]
Remove old platforms [Checked in: Comment 5]

http://hg.mozilla.org/comm-central/rev/0e87bd250f40

Note You need to log in before you can comment on or make changes to this bug.